- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Properties

# QActionGroup Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qactiongroup.h.

`#include <qactiongroup.h>`

Inheritance diagram for QActionGroup:
[legend]

List of all members.

## Public Slots
void | setEnabled (bool)
void | setDisabled (bool b)
void | setVisible (bool)
void | setExclusive (bool)
## Signals
void | triggered (QAction *)
QT_MOC_COMPAT void | selected (QAction *)
void | hovered (QAction *)
## Public Member Functions
| QActionGroup (QObject *parent)
| ~QActionGroup ()
QAction * | addAction (QAction *a)
QAction * | addAction (const QString &text)
QAction * | addAction (const QIcon &icon, const QString &text)
void | removeAction (QAction *a)
QList< QAction * > | actions () const
QAction * | checkedAction () const
bool | isExclusive () const
bool | isEnabled () const
bool | isVisible () const
## Properties
bool | exclusive
bool | enabled
bool | visible

## Constructor & Destructor Documentation

QActionGroup | ( | QObject * | parent | ) | `[explicit]`

~QActionGroup | ( |  | ) |

## Member Function Documentation

QAction* addAction | ( | QAction * | a | ) |

Search for all occurrences

QAction* addAction | ( | const QString & | text | ) |

Search for all occurrences

QAction* addAction | ( | const QIcon & | icon,
|  | const QString & | text
| ) |  |

Search for all occurrences

void removeAction | ( | QAction * | a | ) |

Search for all occurrences

QList<QAction*> actions | ( |  | ) | const

Search for all occurrences

QAction* checkedAction | ( |  | ) | const

Search for all occurrences

bool isExclusive | ( |  | ) | const

Search for all occurrences

bool isEnabled | ( |  | ) | const

Search for all occurrences

bool isVisible | ( |  | ) | const

Search for all occurrences

void setEnabled | ( | bool |  | ) | `[slot]`

Search for all occurrences

void setDisabled | ( | bool | b | ) | `[inline, slot]`

Search for all occurrences

Definition at line 90 of file qactiongroup.h.

    { setEnabled(!b); }

void setVisible | ( | bool |  | ) | `[slot]`

Search for all occurrences

void setExclusive | ( | bool |  | ) | `[slot]`

Search for all occurrences

void triggered | ( | QAction * |  | ) | `[signal]`

Search for all occurrences

QT_MOC_COMPAT void selected | ( | QAction * |  | ) | `[signal]`

Search for all occurrences

void hovered | ( | QAction * |  | ) | `[signal]`

Search for all occurrences

## Property Documentation

bool exclusive `[read, write]`

Search for all occurrences

Definition at line 62 of file qactiongroup.h.

bool enabled `[read, write]`

Search for all occurrences

Definition at line 63 of file qactiongroup.h.

bool visible `[read, write]`

Search for all occurrences

Definition at line 64 of file qactiongroup.h.

The documentation for this class was generated from the following file:

- QtGui/qactiongroup.h

QActionGroup QActionGroup QActionGroup QActionGroup QActionGroup QActionGroup QActionGroup QActionGroup QActionGroup QActionGroup
QActionGroup QActionGroup QActionGroup QActionGroup QActionGroup QActionGroup QActionGroup QActionGroup QActionGroup QActionGroup